Mailinglist Archive: opensuse-factory (439 mails)

< Previous Next >
Re: [opensuse-factory] Qt4 Removal: Status update
  • From: "Dmitriy A. Perlow" <dap.darkness@xxxxxxxxx>
  • Date: Wed, 17 Apr 2019 18:54:41 +0300
  • Message-id: <op.z0eehfego4tjdf@old.tower>
Hello.

All of them were submitted for leechcraft package. Both leechcraft and that libraries are built with Qt5 now. Qt4 libraries could be safely removed.

- libkqoauth (origin: network)
No user in factory
- libqxt (origin: network)
No user in factory
- qwt6 (origin: devel:libraries:c_c++)
the Qt4 package can be dropped when qsapecng is gone and gnuradio starts
using Qt5
- libqxmpp (origin: network)

Wed, 17 Apr 2019 15:19:57 +0300 Christophe Giboudeaux <christophe@xxxxxxx> напісаў(ла):

Hello,

The Qt4 removal is moving slowly, but in the right direction.
Some packages were dropped, some were updated, one application was ported.

The list below contains the packages with a *direct* dependency on Qt4.

If you're maintainer for one of these applications / repositories, please
check if you can help.

Thanks !
(packages maintained in KDE: are not listed)

Testers needed:

- scribus
We have a SVN snapshot available in KDE:Unstable:Extra for :Factory,
please give it a try if you're a regular scribus user.

Pending SR:

- unetbootin (origin: filesystems, SR#690447 - 16 days ago)
considering noone noticed it was completely useless to download Leap isos,
a Delete Request may be a better idea.
- gwenhywfar (origin: Office, SR#691793 - 12 days ago)
This will resolve indirect dependencies for a *lot* of packages
- scap-workbench (origin: security, SR#693951 - 4 days ago)

Candidates for deletion:

- H2rename (origin: utilities)
No activity since 2009.
- gigaset-frontend (origin: hardware)
No activity upstream.
- ibus-qt (origin: M17N)
- krb5-ticket-watcher (origin: network)
No activity upstream since 2006.
- hgview (origin: devel:tools:scm)
No activity upstream. tortoisehg provides similar features.
- libkqoauth (origin: network)
No user in factory
- libqxt (origin: network)
No user in factory
- lmicc (origin: systemsmanagement:wbem)
According to the upstream URL: « WHOLE OPENLMI PROJECT WAS SHUTDOWN »
- nulloy (origin: multimedia:apps)
No work done upstream to update the Qt dependencies
- notify-osd-config (origin: X11:Utilities)
No user in factory
- qsapecng (origin: electronics)
No activity upstream since 2016.
- qwt6 (origin: devel:libraries:c_c++)
the Qt4 package can be dropped when qsapecng is gone and gnuradio starts
using Qt5

Cleanup needed (to remove the Qt4 optional dependency / subpackage):

- adwaita-qt (origin: GNOME:Apps)
- avahi-qt4 (origin: GNOME:Factory, package: avahi)
- avogadro (origin: science)
- gcin (origin: M17N)
- libqxmpp (origin: network)
- lightdm (origin: X11:Utilities)
- yate (origin: network:telephony)
- testdisk (origin: filesystems)

Updates ready, not submitted yet:

- fcitx
- python-enable
- qtcurve
- scim
- uim

Undecided:

- qgo (origin: games)
If there's interest in this package, 2 possibilities:
* q5go (https://github.com/bernds/q5Go)
* qgo (Qt5 port from https://github.com/pzorin/qgo)
waiting for the games: people feedback.

- avogadro (origin: science)
https://github.com/openchemistry/avogadrolibs can use Qt5, no idea what
the avogadro state is.

- gnuradio (origin: hardware:sdr)
The master branch at https://github.com/gnuradio/gnuradio uses Qt5

- keypassx (origin: security)
The master branch at https://github.com/keepassx/keepassx/blob/master/
CMakeLists.txt
uses Qt5. Unsure if we want a patched package for a password manager.

- qucs (origin: electronics)
There's a Qt5 porting effort (https://github.com/Qucs/qucs/pull/898) but the
road is long (the current qucs release uses Qt3Support classes)

Misc:

- mumble (origin: games:tools)
Mumble 1.3.0-rc1 uses Qt5, waiting for the release
- qwtplot3d (origin: science)
Depends on what the Qt5 port of scidavis needs. Can be deleted otherwise.

WIP:

- jag (origin: games)
Upstream website doesn't work anymore,
https://salsa.debian.org/games-team/jag has a Qt5 port.
- scidavis (origin: science)
Update 1.25 can use Qt5.
- SoQt (origin: science)
website is down, https://bitbucket.org/Coin3D/soqt/ suggests it can use Qt5.




--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx



--
Best regards,
Dmitriy Perlow
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >